﻿using MyWpfApp.models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MyWpfApp.Pages
{
    /// <summary>
    /// Логика взаимодействия для Auth.xaml
    /// </summary>
    public partial class Auth : Page
    {
        List<User> users;
        public Auth()
        {
            InitializeComponent();       
        }

        private void btnEnter_Click(object sender, RoutedEventArgs e)
        {
           
            int pass = TxtPassword.Password.GetHashCode();//получаем хеш-код введенного в текстовое поле пароля
            LoginedTable currentUser = Globals.MyGlobalConnection.LoginedTable.FirstOrDefault(x=>x.Login == TxtLogin.Text && x.Password == pass);//находим в базе записть с такими характеристиками
            if (currentUser != null)//если такой пользователь существует
            {                
                    MessageBox.Show("Здравствуйте, "+ currentUser.Roles.Role);
                if (currentUser.IDRole==1)//если роль администратора
                {
                    Globals.MyGlobalFrame.Navigate(new PageUserList());
                }
                else//если роль обычного пользователя
                {
                    Globals.MyGlobalFrame.Navigate(new PageUserInfo(currentUser));  
                }
                       
            }
            else//если такой пользователь не существует
            {
                MessageBox.Show("Вы не зарегистрированы");
            }
        }

        
        private void Button_Click(object sender, RoutedEventArgs e)//ничего полезного не несет. используется для демонстрации кнопки с шаблоном на странице
        {
            MessageBox.Show("Сработало");
        }

        
    }
}
